package w83a.w83aManager;

import java.util.HashMap;
import java.util.List;

import w83a.w83aBeans.W83aCentroTrabajoCompletoBean;
import w83a.w83aDAO.W83aFactoriaDAO;


public class W83aCentroTrabajo implements W83aICentroTrabajo {
	public java.util.List buscarCentroTrabajo(w83a.w83aBeans.W83aCentroTrabajoBean param) throws Exception{
		
		List listaCentroTrabajo = W83aFactoriaDAO.getCentroTrabajoDAO().buscarCentroTrabajo(param);
		
		return listaCentroTrabajo;	
	}
	public java.lang.Integer contarCentroTrabajo(w83a.w83aBeans.W83aCentroTrabajoBean param) throws Exception{
		
		return new Integer(W83aFactoriaDAO.getCentroTrabajoDAO().contarCentroTrabajo(param));	
	}
	public W83aCentroTrabajoCompletoBean detalleCentroTrabajo(HashMap mapaCentroTrabajo) throws Exception{
		List listaDatosParametros = W83aFactoriaDAO.getCentroTrabajoDAO().detalleCentroTrabajo(
				(String)mapaCentroTrabajo.get("cif"),(String)mapaCentroTrabajo.get("ncentro"),(String)mapaCentroTrabajo.get("idioma"));
		
		if(listaDatosParametros.size()>0){
			return (W83aCentroTrabajoCompletoBean)listaDatosParametros.get(0);
		}else{
			return new W83aCentroTrabajoCompletoBean();
		}
	}
	public java.util.List buscarCentroTrabajoDocumentacion(w83a.w83aBeans.W83aCentroTrabajoBean param) throws Exception{
		
		List listaCentroTrabajo = W83aFactoriaDAO.getCentroTrabajoDAO().buscarCentroTrabajoDocumentacion(param);
		
		return listaCentroTrabajo;	
	}
	public java.lang.Integer contarCentroTrabajoDocumentacion(w83a.w83aBeans.W83aCentroTrabajoBean param) throws Exception{
		
		return new Integer(W83aFactoriaDAO.getCentroTrabajoDAO().contarCentroTrabajoDocumentacion(param));	
	}
}